<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html><head>
<meta http-equiv="Content-type" content="text/html; charset=utf-8"/>
<script type="text/javascript" src="/ejudge/dojo/dojo.js" djConfig="isDebug: false, parseOnLoad: true, dojoIframeHistoryUrl:'/ejudge/dojo/resources/iframe_history.html'"></script>
<script type="text/javascript" src="/ejudge/unpriv.js"></script>
<script type="text/javascript">
  var SID="1721c38a5b71ec54";
  var NEW_SRV_ACTION_JSON_USER_STATE=174;
  var NEW_SRV_ACTION_VIEW_PROBLEM_SUMMARY=137;
  var self_url="http://contest.solutions/cgi-bin/new-client";
  var script_name="/cgi-bin/new-client";
  dojo.require("dojo.parser");
  var jsonState = { "h": 23, "m": 17, "s": 44, "d": 21, "o": 5, "y": 2017 };
  var updateFailedMessage = "ОШИБКА ОБНОВЛЕНИЯ СТАТУСА!";
  var testingInProgressMessage = "ИДЕТ ТЕСТИРОВАНИЕ...";
  var testingCompleted = "ТЕСТИРОВАНИЕ ЗАВЕРШЕНО";
  var waitingTooLong = "ОБНОВЛЯЙТЕ СТРАНИЦУ ВРУЧНУЮ!";
</script>
<link rel="stylesheet" href="/ejudge/unpriv.css" type="text/css"/>
<title>Стоцкий А. В. [2017-2-05]: Сдать решение</title></head>
<body onload="startClock()"><div id="container"><div id="l12">
<div class="main_phrase">Стоцкий А. В. [2017-2-05]: Сдать решение</div>
<div class="user_actions"><table class="menu"><tr><td class="menu"><div class="contest_actions_item"><a class="menu" href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=143">Настройки</a></div></td><td class="menu"><div class="contest_actions_item"><a class="menu" href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=74">Выйти из системы [1610519]</a></div></td></tr></table></div><div class="white_empty_block">&nbsp;</div><div class="contest_actions"><table class="menu"><tr><td class="menu"><div class="contest_actions_item"><a class="menu" href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=2">Инфо</a></div></td><td class="menu"><div class="contest_actions_item"><a class="menu" href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=137">Итог</a></div></td><td class="menu"><div class="contest_actions_item"><a class="menu" href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=140">Посылки</a></div></td><td class="menu"><div class="contest_actions_item"><a class="menu" href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=94">Положение участников</a></div></td><td class="menu"><div class="contest_actions_item"><a class="menu" href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=141">Отправить вопрос</a></div></td><td class="menu"><div class="contest_actions_item"><a class="menu" href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=142">Сообщения</a></div></td></tr></table></div></div>
<div id="l11"><img src="/ejudge/logo.gif" alt="logo"/></div>
<div id="l13">
<div class="server_status_on" id="statusLine">
<div id="currentTime">23:17:44</div> / <b>ТУРНИР ИДЕТ</b> / <b>приём решений</b><div id="reloadButton" style="visibility: hidden">/ <a class="menu" onclick="reloadPage()"><b>[ ОБНОВИТЬ ]</b></a></div><div id="statusString" style="visibility: hidden"></div></div>
<br/>
<table class="probNav"><tr id="probNavTopList"><td width="100%" class="nTopNavList"><ul class="nTopNavList"><li  id="nTopNavSelected"><div class="nProbCurrent"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=1">04-1</a></div></li><li><div class="nProbOk"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=2">04-2</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=3">04-3</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=4">04-4</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=5">04-5</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=6">04-6</a></div></li><li><div class="nProbOk"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=7">04-7</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=8">04-8</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=9">04-9</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=10">04-10</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=11">04-11</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=12">04-12</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=13">04-13</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=14">04-14</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=15">04-15</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=16">04-16</a></div></li></ul></td></tr><tr><td id="probNavTaskArea" valign="top"><div id="probNavTaskArea"><h2>Задача 04-1-Шестнадцатеричное наступает!</h2>
<h3>Задача 04-1: Шестнадцатеричное наступает!</h3><table class="b0">
<tr><td class="b0"><b>Ограничение времени:</b></td><td class="b0">1 с</td></tr>
<tr><td class="b0"><b>Ограничение памяти:</b></td><td class="b0">64 M</td></tr>
<tr><td class="b0"><b>Максимальное количество посылок:</b></td><td class="b0">16</td></tr>
</table>

      <p>На стандартном потоке ввода задаётся последовательность беззнаковых целых 32х-битных чисел
      в десятичной записи, разделённых пробельными символами. Требуется вывести ту же самую
      последовательность, но каждое число должно быть выведено через <b>printf</b> в формате
      "0x%08X\n"</p>

      <p><b>Запрещается</b> использовать макросы ввода-вывода библиотеки io.inc. При вызове всех
      библиотечных функций стек <b>должен</b> быть выровнен по 16 байт.</p>
    <h3>Примеры</h3><table class="b1"><tr><td class="b1" align="center"><b>Входные данные</b></td><td class="b1" align="center"><b>Результат работы</b></td></tr><tr><td class="b1" valign="top"><pre>10 256</pre></td><td class="b1" valign="top"><pre>0x0000000A
0x00000100
</pre></td></tr></table><h3>Сдать решение</h3><form method="post" enctype="multipart/form-data" action="http://contest.solutions/cgi-bin/new-client"><input type="hidden" name="SID" value="1721c38a5b71ec54"/><input type="hidden" name="prob_id" value="1"/><table class="b0"><input type="hidden" name="lang_id" value="24"/><tr><td class="b0">Язык:</td><td class="b0">nasm - NASM 2.07</td></tr><tr><td class="b0">Файл</td><td class="b0"><input type="file" name="file"/></td></tr><tr><td class="b0">Отправить!</td><td class="b0"><input type="submit" name="action_40" value="Отправить!"/></td></tr></table></form><h2>Предыдущие решения этой задачи</h2>
<table border="1" class="b1"><tr><th class="b1">Номер решения</th><th class="b1">Время</th><th class="b1">Размер</th><th class="b1">Язык программирования</th><th class="b1">Результат</th><th class="b1">Пройдено тестов</th><th class="b1">Сданный ответ</th><th class="b1">Отчёт о проверке</th></tr>
<tr bgcolor="#ddffdd"><td class="b1">143</td><td class="b1">2017/04/03 13:13:43</td><td class="b1">514</td><td class="b1">nasm</td><td class="b1">Принято на проверку</td><td class="b1">9</td><td class="b1"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=36&amp;run_id=143">Просмотр</a></td><td class="b1">&nbsp;</td></tr>
</table>
<form method="get" action="http://contest.solutions/cgi-bin/new-client"><input type="hidden" name="SID" value="1721c38a5b71ec54"/><table class="b0"><tr><td class="b0"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=2">Следующая задача</a></td></tr></table></form></div></td></tr><tr id="probNavBottomList"><td width="100%" class="nBottomNavList"><ul class="nBottomNavList"><li id="nBottomNavSelected"><div class="nProbCurrent"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=1">04-1</a></div></li><li><div class="nProbOk"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=2">04-2</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=3">04-3</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=4">04-4</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=5">04-5</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=6">04-6</a></div></li><li><div class="nProbOk"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=7">04-7</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=8">04-8</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=9">04-9</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=10">04-10</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=11">04-11</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=12">04-12</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=13">04-13</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=14">04-14</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=15">04-15</a></div></li><li><div class="nProbEmpty"><a href="http://contest.solutions/cgi-bin/new-client?SID=1721c38a5b71ec54&amp;action=139&amp;prob_id=16">04-16</a></div></li></ul></td></tr></table><div id="footer"><p class="ejudge_copyright">Это &mdash; система администрирования турниров <a href="http://www.ejudge.ru"><b>ejudge</b></a>, версия 2.3.26+ (SVN r7329) #11, дата компиляции Sat Mar  2 19:31:47 2013.</p>
<p class="ejudge_copyright">Авторские права на программу: &copy; 2000-2013 Александр Чернов.</p>
<p class="ejudge_copyright">Данная программа является свободным ПО. Вы можете распространять и/или модифицировать её в соответствии с <a href="http://www.gnu.org/licenses/gpl.html">Общей Лицензией GNU</a> (GNU General Public License), опубликованной <a href="http://www.fsf.org">Фондом свободного ПО</a> (Free Software Foundation), либо версии 2 Лицензии, либо (по Вашему желанию) любой последующей версии.</p>
<p class="ejudge_copyright">Веб-дизайн и AJAX-интерфейс &copy; 2006-2013 <a href="http://www.lasvik.ru">Toto Lasvik</a>.</p></div>
</div></div></body></html>